Default to string in api doc for search params where type cannot be deduced

04/21/2020 08:00 AM - Tomer Brisker

Status: Rejected   

Priority: Normal   

Assignee: Tomer Brisker   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7598

  

Description

Api doc generation is not able to determine search parameter types when generated without a migrated database (e.g. with nulldb).

These types aren't enforced and are always sent to the api as a string (as part of url parameters).

We can default to string value in this case as a safe fallback, and allow users to regenerate the apidoc manually if they require a

more specific information (e.g. integer fields).

Related issues:

Related to Foreman - Feature #29564: Add nulldb support Duplicate

Related to Foreman - Feature #17964: Extend apidoc with list of fields to use... Closed 01/06/2017

History

#1 - 04/21/2020 08:00 AM - Tomer Brisker

- Related to Feature #29564: Add nulldb support added

#2 - 04/21/2020 08:01 AM - Tomer Brisker

- Related to Feature #17964: Extend apidoc with list of fields to use in a search added

#3 - 04/21/2020 08:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/7598 added

#4 - 04/22/2020 08:45 AM - Tomer Brisker

- Status changed from Ready For Testing to Rejected

Looks like it's better to keep empty.
